Bug 1535520 - CVE-2018-2565 CVE-2018-2573 CVE-2018-2576 CVE-2018-2583 CVE-2018-2586 CVE-2018-2590 CVE-2018-2600 CVE-2018-2612 CVE-2018-2622 CVE-2018-2640 CVE-2018-2645 CVE-2018-2646 CVE-2018-2647 CVE-2018-2665 ... community-mysql: various flaws [fedora-all]
Summary: CVE-2018-2565 CVE-2018-2573 CVE-2018-2576 CVE-2018-2583 CVE-2018-2586 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 27
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1536881
Blocks: CVE-2018-2696 CVE-2018-2703 CVE-2018-2565 CVE-2018-2573 CVE-2018-2576 CVE-2018-2583 CVE-2018-2586 CVE-2018-2590 CVE-2018-2600 CVE-2018-2612 CVE-2018-2622 CVE-2018-2640 CVE-2018-2645 CVE-2018-2646 CVE-2018-2647 CVE-2018-2665 CVE-2018-2667 CVE-2018-2668
TreeView+ depends on / blocked
 
Reported: 2018-01-17 14:46 UTC by Adam Mariš
Modified: 2018-02-06 15:28 UTC (History)
3 users (show)

Fixed In Version: community-mysql-5.7.21-1.fc27
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 11:22:48 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-01-17 14:46:25 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2018-01-17 14:46:34 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1535484,1535486,1535487,1535488,1535490,1535491,1535492,1535493,1535496,1535497,1535499,1535500,1535501,1535502,1535503,1535504,1535505,1535506,1535520

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Adam Mariš 2018-01-17 15:27:04 UTC
Added new parent flaw bug 1535486 (CVE-2018-2565), 1535487 (CVE-2018-2573), 1535491 (CVE-2018-2586), 1535492 (CVE-2018-2590), 1535496 (CVE-2018-2600), 1535501 (CVE-2018-2645), 1535502 (CVE-2018-2646), 1535503 (CVE-2018-2647), 1535505 (CVE-2018-2667) to this tracking bug.

Comment 3 Adam Mariš 2018-01-17 15:32:08 UTC
Added new parent flaw bug 1535486 (CVE-2018-2565), 1535496 (CVE-2018-2600) to this tracking bug.

Comment 4 Tomas Hoger 2018-01-18 09:50:03 UTC
CVE-2018-2562 and CVE-2018-2591 were fixed in 5.7.20, which is already in Fedora, and hence they do not belong to this bug.

Comment 5 Tomas Hoger 2018-01-18 09:51:37 UTC
CVE-2018-2696 and CVE-2018-2703 do belong here and are missing.

Comment 6 Fedora Update System 2018-01-22 15:38:15 UTC
community-mysql-5.7.21-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d553b29a30

Comment 7 Fedora Update System 2018-01-23 23:41:36 UTC
community-mysql-5.7.21-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d553b29a30

Comment 8 Fedora Update System 2018-02-06 11:22:48 UTC
community-mysql-5.7.21-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-02-06 15:28:12 UTC
community-mysql-5.7.21-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.